# Gateways ## ListGateways `client.gateways.list(GatewayListParamsparams, RequestOptionsoptions?): GatewaysPage` **post** `/gitpod.v1.GatewayService/ListGateways` ListGateways ### Parameters - `params: GatewayListParams` - `token?: string` Query param - `pageSize?: number` Query param - `pagination?: Pagination` Body param: pagination contains the pagination options for listing gateways - `token?: string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize?: number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `Gateway` Gateway represents a system gateway that provides access to services - `name: string` name is the human-readable name of the gateway. name is unique across all gateways. - `url: string` url of the gateway - `region?: string` region is the geographical region where the gateway is located ### Example ```typescript import Gitpod from '@gitpod/sdk'; const client = new Gitpod({ bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const gateway of client.gateways.list()) { console.log(gateway.name); } ``` #### Response ```json { "gateways": [ { "name": "name", "url": "url", "region": "region" } ], "pagination": { "nextToken": "nextToken" } } ```